import { AsyncMultiSelectFilter, AsyncSelectFilter, Filter, BooleanFilter, CustomFilter, SingleSelectFilter, MultiSelectFilter, DateFilter, DateListFilter, DateRangeFilter, NumericRangeFilter, SearchFilter, TextInputFilter, TreeFilter, AsyncTreeFilter } from '../types';
export type TestValue = {
    id: number;
    label: string;
    value: string;
};
export declare const mockFilterOptions: {
    id: number;
    label: string;
    value: string;
}[];
export declare const defaultMockBooleanFilter: BooleanFilter;
export declare const defaultMockCustomFilter: CustomFilter<TestValue>;
export declare const defaultMockSingleSelectFilter: SingleSelectFilter;
export declare const defaultMockMultiSelectFilter: MultiSelectFilter;
export declare const defaultMockDateFilter: DateFilter;
export declare const defaultMockDateRangeFilter: DateRangeFilter;
export declare const defaultMockFilters: (BooleanFilter | SingleSelectFilter | MultiSelectFilter | DateFilter | DateRangeFilter | CustomFilter<TestValue>)[];
export declare function createMockFilter<T = unknown>(overrides?: Partial<Filter | CustomFilter<T> | SingleSelectFilter>): Filter | CustomFilter<T> | SingleSelectFilter;
export declare function createMockFilterContext(filters?: Filter[], contextOverrides?: {}): {
    filterGroupRef: {
        current: HTMLDivElement;
    };
    filters: Filter[];
    updateFilter: import('vitest').Mock<(...args: any[]) => any>;
    onFilterChange: import('vitest').Mock<(...args: any[]) => any>;
    drawerOnlyFilters: never[];
    controlledFiltering: boolean;
    associatedContent: string;
    showInlineFilters: boolean;
};
export declare function createMockBooleanFilter(overrides?: Partial<BooleanFilter>): BooleanFilter;
export declare function createMockCustomFilter<T = unknown>(overrides?: Partial<CustomFilter<T>>): CustomFilter<T>;
export declare function createMockSingleSelectFilter(overrides?: Partial<SingleSelectFilter>): SingleSelectFilter;
export declare function createMockMultiSelectFilter(overrides?: Partial<MultiSelectFilter>): MultiSelectFilter;
export declare function createMockDateFilter(overrides?: Partial<DateFilter>): DateFilter;
export declare function createMockDateRangeFilter(overrides?: Partial<DateRangeFilter>): DateRangeFilter;
export declare function createMockDateListFilter(overrides?: Partial<DateListFilter>): DateListFilter;
export declare function createMockAsyncSelectFilter(overrides?: Partial<AsyncSelectFilter>): AsyncSelectFilter;
export declare function createMockAsyncMultiSelectFilter(overrides?: Partial<AsyncMultiSelectFilter>): AsyncMultiSelectFilter;
export declare function createMockTreeFilter(overrides?: Partial<TreeFilter>): TreeFilter;
export declare function createMockAsyncTreeFilter(overrides?: Partial<AsyncTreeFilter>): AsyncTreeFilter;
export declare function createMockNumericRangeFilter(overrides?: Partial<NumericRangeFilter>): NumericRangeFilter;
export declare function createMockTextInputFilter(overrides?: Partial<TextInputFilter>): TextInputFilter;
export declare function createMockSearchFilter(overrides?: Partial<SearchFilter>): SearchFilter;
export declare const setupDesktopContainer: () => void;
export declare const setupMobileContainer: () => void;
export declare const setupSmContainer: () => void;
